{% extends 'base_admin.html.twig' %}

{% block body %}
<h1>Utilisateur</h1>
<div class="container">
    <table id="table" class="table table-striped table-bordered" cellspacing="0">
        <tbody>
            <tr>
                <th>Id</th>
                <th>Prénom</th>
                <th>Nom</th>
                <th>Date de naissance</th>
                <th>Email</th>
                <th>Mise à jour le :</th>
                <th>Rôles</th>
                <th>Compte vérifié</th>
                <th>Téléphone</th>
            </tr>
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.firstname }}</td>
                <td>{{ user.lastname }}</td>
                <td>{{ user.dateOfBirth ? user.dateOfBirth|date('Y-m-d') : '' }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.updatedAt ? user.updatedAt|date('Y-m-d H:i:s') : '' }}</td>
                {%if user.roles == ['ROLE_ADMIN', 'ROLE_USER']%} 
                    <td>{{ 'ROLE ADMIN' }}</td>
                {%else%}
                    <td>{{ 'ROLE USER' }}</td>
                {%endif%}
                <td>{{ user.isVerified ? 'Oui' : 'Non' }}</td>
                <td>{{ user.phoneNumber }}</td>
            </tr>
    
        </tbody>
    </table>
</div>
    

    <a href="{{ path('app_user_management_index') }}">Retourner à la liste de tous les utilisateurs</a>

    <a href="{{ path('app_user_management_edit', {'id': user.id}) }}">Modifier</a>

    {{ include('user_management/_delete_form.html.twig') }}

        <script>
        $(document).ready(function() {
            $('#table').dynatable();
        } );
    </script>
{% endblock %}
